### Function

# GLib test_trap_subprocess

since: 2.38

#### Declaration [src]

    void
    g_test_trap_subprocess (
      const char* test_path,
      guint64 usec_timeout,
      GTestSubprocessFlags test_flags
    )

#### Description [src]

Respawns the test program to run only `test_path` in a subprocess.

This is equivalent to calling `g_test_trap_subprocess_with_envp()` with `envp` set to `NULL`. See the documentation for that function for full details.

Available since: 2.38

#### Parameters

`test_path`

  Type: `const char*`

  Test to run in a subprocess.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`usec_timeout`

  Type: `guint64`

  Timeout for the subprocess test in microseconds.

`test_flags`

  Type: `GTestSubprocessFlags`

  Flags to modify subprocess behaviour.